This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 787858 - Review Request: bashmount - a menu-driven bash script for mounting removable media
Review Request: bashmount - a menu-driven bash script for mounting removable ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-06 17:39 EST by Jamie Nguyen
Modified: 2014-10-30 07:21 EDT (History)
5 users (show)

See Also:
Fixed In Version: bashmount-1.6.2-3.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-19 18:18:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
ian: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2012-02-06 17:39:36 EST
Spec URL: http://repo.tomoyolinux.co.uk/bashmount.spec
SRPM URL: http://repo.tomoyolinux.co.uk/bashmount-1.6.2-1.fc16.src.rpm
Description: bashmount is a menu-driven bash script that uses udisks to easily mount, unmount or eject removable devices, without dependencies on any GUI or desktop environment.

I am also the upstream author of bashmount.

http://sourceforge.net/projects/bashmount/
https://github.com/jamielinux/bashmount

This is my first package and I am seeking a sponsor :-)
Comment 1 Ofer Schreiber 2012-02-07 03:44:07 EST
I'm not a packager, so I can't be a sponsor yet.
Some comments though:

1. BuildRoot is no longer needed in Fedora. should be removed.
2. %clean section is not needed in Fedora, should be removed.
3. The %install section should not contain anything that removes the buildroot.
4. LICENSE is missing, you should contact upstream (well, probably yourself) so a LICENSE text will be included in source tarball.
Comment 2 Jamie Nguyen 2012-02-07 17:45:25 EST
Thanks for comments.

1. Done.
2. Done.
3. Done.
4. I provide COPYING in the upstream tarball, which I have already packaged. Usually tarballs have one or the other. I've seen both COPYING and LICENSE shipped together in some upstream tarballs (usually to clarify licensing) but I don't think bashmount needs that.

Revised:
Spec URL: http://repo.tomoyolinux.co.uk/bashmount.spec
SRPM URL: http://repo.tomoyolinux.co.uk/bashmount-1.6.2-2.fc16.src.rpm
Comment 3 Ian Weller 2012-02-08 18:49:58 EST
I can review this and sponsor you.
Comment 4 Ian Weller 2012-02-08 18:57:42 EST
Review checklist, last updated 2012-02-07
Based on https://fedoraproject.org/wiki/Packaging:ReviewGuidelines
Key: [x] passed, [F] failed, [-] irrelevant

[x] MUST: rpmlint must be run on the source rpm and all binary rpms the build
    produces. The output should be posted in the review.
        bashmount.src: W: spelling-error %description -l en_US udisks -> disks,
        u disks, Saudis
        bashmount.src: W: spelling-error %description -l en_US unmount ->
        unmounted, mount, Mount
        bashmount.noarch: W: spelling-error %description -l en_US unmount ->
        unmounted, mount, Mount
        2 packages and 0 specfiles checked; 0 errors, 3 warnings.
[x] MUST: The package must be named according to the Package Naming Guidelines.
[x] MUST: The spec file name must match the base package %{name}, in the format
    %{name}.spec unless your package has an exemption.
[x] MUST: The package must meet the Packaging Guidelines.
[x] MUST: The package must be licensed with a Fedora approved license and meet
    the Licensing Guidelines.
[x] MUST: The License field in the package spec file must match the actual
    license. 
[x] MUST: If (and only if) the source package includes the text of the
    license(s) in its own file, then that file, containing the text of the
    license(s) for the package must be included in %doc.
[x] MUST: The spec file must be written in American English. 
[x] MUST: The spec file for the package MUST be legible. 
[x] MUST: The sources used to build the package must match the upstream source,
    as provided in the spec URL. Reviewers should use md5sum for this task. If
    no upstream URL can be specified for this package, please see the Source
    URL Guidelines for how to deal with this.
[x] MUST: The package MUST successfully compile and build into binary rpms on
    at least one primary architecture. 
[-] MUST: If the package does not successfully compile, build or work on an
    architecture, then those architectures should be listed in the spec in
    ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed
    in bugzilla, describing the reason that the package does not
    compile/build/work on that architecture. The bug number MUST be placed in a
    comment, next to the corresponding ExcludeArch line. 
[x] MUST: All build dependencies must be listed in BuildRequires, except for
    any that are listed in the exceptions section of the Packaging Guidelines;
    inclusion of those as BuildRequires is optional. Apply common sense.
[-] MUST: The spec file MUST handle locales properly. This is done by using the
    %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[-] MUST: Every binary RPM package (or subpackage) which stores shared library
    files (not just symlinks) in any of the dynamic linker's default paths,
    must call ldconfig in %post and %postun. 
[x] MUST: Packages must NOT bundle copies of system libraries.
[-] MUST: If the package is designed to be relocatable, the packager must state
    this fact in the request for review, along with the rationalization for
    relocation of that specific package. Without this, use of Prefix: /usr is
    considered a blocker. 
[x] MUST: A package must own all directories that it creates. If it does not
    create a directory that it uses, then it should require a package which
    does create that directory. 
[x] MUST: A Fedora package must not list a file more than once in the spec
    file's %files listings. (Notable exception: license texts in specific
    situations)
[x] MUST: Permissions on files must be set properly. Executables should be set
    with executable permissions, for example. 
[x] MUST: Each package must consistently use macros. 
[x] MUST: The package must contain code, or permissable content. 
[-] MUST: Large documentation files must go in a -doc subpackage. (The
    definition of large is left up to the packager's best judgement, but is not
    restricted to size. Large can refer to either size or quantity). 
[x] MUST: If a package includes something as %doc, it must not affect the
    runtime of the application. To summarize: If it is in %doc, the program
    must run properly if it is not present. 
[-] MUST: Static libraries must be in a -static package. 
[-] MUST: Development files must be in a -devel package. 
[-] MUST: In the vast majority of cases, devel packages must require the base
    package using a fully versioned dependency:
       Requires: %{name}%{?_isa} = %{version}-%{release} 
[-] MUST: Packages must NOT contain any .la libtool archives, these must be
    removed in the spec if they are built.
[-] MUST: Packages containing GUI applications must include a %{name}.desktop
    file, and that file must be properly installed with desktop-file-install in
    the %install section. If you feel that your packaged GUI application does
    not need a .desktop file, you must put a comment in the spec file with your
    explanation. 
[x] MUST: Packages must not own files or directories already owned by other
    packages. The rule of thumb here is that the first package to be installed
    should own the files or directories that other packages may rely upon. This
    means, for example, that no package in Fedora should ever share ownership
    with any of the files or directories owned by the filesystem or man
    package. If you feel that you have a good reason to own a file or directory
    that another package owns, then please present that at package review time. 
[x] MUST: All filenames in rpm packages must be valid UTF-8. 

All requirements have passed, so this package is APPROVED

As I said, I am willing to sponsor you -- I'll discuss that in the next
comment.
Comment 5 Mohamed El Morabity 2012-02-08 19:09:58 EST
Just a note, maybe too late: maro such as %{__install}, %{__rm} and such should not be used:
   http://fedoraproject.org/wiki/Packaging:Guidelines#Macros
By the way, you shopuld also use the -p option in install, to keep the timestamp of installed files.
Comment 6 Ian Weller 2012-02-08 19:23:11 EST
Not too late -- I'll just ask Jamie to make those changes when the package is imported into git.
Comment 7 Jamie Nguyen 2012-02-09 03:18:37 EST
Thanks for comments.

Revised:
Spec URL: http://repo.tomoyolinux.co.uk/bashmount.spec
SRPM URL: http://repo.tomoyolinux.co.uk/bashmount-1.6.2-3.fc16.src.rpm
Comment 8 Ian Weller 2012-02-09 15:00:00 EST
So as we discussed in IRC, before I sponsor you I'm going to have you do a full review of this package:
  https://bugzilla.redhat.com/show_bug.cgi?id=787128

I've taken the bug, but go ahead and do the review. Let me know if you have any questions.
Comment 9 Ian Weller 2012-02-09 16:31:27 EST
Good review, Jamie -- I'm going to go ahead and sponsor you now.

If you have any questions of where to go from here just let me know.
Comment 10 Jamie Nguyen 2012-02-09 18:31:17 EST
New Package SCM Request
=======================
Package Name: bashmount
Short Description: A menu-driven bash script for mounting removable media
Owners: jamielinux
Branches: f16
InitialCC:
Comment 11 Jon Ciesla 2012-02-09 21:33:02 EST
Git done (by process-git-requests).

Added f17.
Comment 12 Fedora Update System 2012-02-10 18:16:02 EST
bashmount-1.6.2-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/bashmount-1.6.2-3.fc16
Comment 13 Fedora Update System 2012-02-11 17:02:26 EST
bashmount-1.6.2-3.fc16 has been pushed to the Fedora 16 testing repository.
Comment 14 Fedora Update System 2012-02-19 18:18:33 EST
bashmount-1.6.2-3.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.